/***************************************************************************
 *            Interrupt.h
 *
 *  Fr Jun 04 12:49:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/

#ifndef INTERRUPT_H

 /**
  * \brief  Schaltet alle Hardwareinterrupts ein
  *
  * \param 	keine
  * \return	keine
  *
  */
int InterruptsOn(void);

 /**
  * \brief  Schaltet alle Hardwareinterrupts aus
  *
  * \param 	keine
  * \return	keine
  *
  */
int InterruptsOff(void);

/**
 * \brief  Interrupt fuer HeartRate einschalten
 *
 * \param 	keine
 * \return	keine
 *
 */
void InterruptHeartRateInit(void);

#ifdef TESTFUNCTIONS
/**
 * \brief  Interrupt fuer TestKey einschalten
 *
 * \param 	keine
 * \return	keine
 *
 */
void InterruptTestKeyInit(void);
#endif

#define INTERRUPT_H
#endif
