/***************************************************************************
 *            LED.c
 *
 *  Mo May 31 18:17:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/

/**
* \file
* Initialisierung, ein- und ausschalten und invertieren der LED
*/ 

#include <avr/io.h>

#include "LED.h"
#include "Timer.h"

int LEDInit(void)
{
	#ifdef __AVR_ATmega128__
	// PB3 als Ausgang definieren
	DDRB |= (1 << DDB3);
	#endif
	#ifdef __AVR_ATtiny85__
	// PB0 als Ausgang definieren
	DDRB |= (1 << DDB0);
	#endif

	return 0;
}

void LEDon(void)
{
	#ifdef __AVR_ATmega128__
	// PB3 einschalten
	PORTB |= (1<<PB3);
	#endif
	#ifdef __AVR_ATtiny85__
	// PB0 einschalten
	PORTB |= (1<<PB0);
	#endif
}

void LEDoff(void)
{
	#ifdef __AVR_ATmega128__
	// PB3 ausschalten
	PORTB &= ~(1<<PB3);
	#endif
	#ifdef __AVR_ATtiny85__
	// PB0 ausschalten
	PORTB &= ~(1<<PB0);
	#endif
}

void LEDtoggle(void)
{
	#ifdef __AVR_ATmega128__
	// PB3 toggeln
	PORTB ^= (1<<PB3);
	#endif
	#ifdef __AVR_ATtiny85__
	// PB0 toggeln
	PORTB ^= (1<<PB0);
	#endif
}
