/***************************************************************************
 *            TestKey.c
 *
 *  Sun Jun 06 14:32:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/

#ifdef TESTFUNCTIONS

#include "TestKey.h"
#include "Interrupt.h"
#include "HeartRate.h"
#include "Timer.h"

/**
* \file
* Initialisierung und Interruptroutine des Testtasters. Dieser Taster ist nur auf dem Developmentboard vorhanden und nur für Testzwecke zu verwenden
* Es wurde keine Entprellung realisiert.
*/ 

void TestKeyInit(void)
{
	// Interrupt initalisieren
	InterruptTestKeyInit();

	// LED blinken, d.h. Programm gestartet, noch kein Empfang der Herzfrequenz
	TimerSet(TestKeyDebounce,single,300,&TestKeyTimerCallback);
	
}

void TestKeyInterrupt(void)
{
	// Es wird ein Timer verwendet um die Taste zu entprellen
	TimerStop(TestKeyDebounce);
	TimerStart(TestKeyDebounce);
}


void TestKeyTimerCallback(void)
{
	// Es wird so getan, als ob den Impuls den Polarempfaengers registriert wurde
	HeartRateInterrupt();
}

#endif
