/***************************************************************************
 *            TestPin.c
 *
 *  Sun Jun 06 14:57:00 2010
 *  Copyright  2010  Albrecht Lohoefener
 *  albrechtloh@gmx.de
 ****************************************************************************/
#ifdef TESTFUNCTIONS

/**
* \file
* Initialisierung, ein- und ausschalten und invertieren des Testpins. Der Testpin ist für Geschwindigkeitsmessungen oder Frequenzmessungen vorgesehen und nur auf dem Development Board vorhanden.
*/ 

#include <avr/io.h>

#include "TestPin.h"

int TestPinInit(void)
{
	// PB3 als Ausgang definieren
	DDRB |= (1 << DDB0);

	return 0;
}


int TestPinOn(void)
{
	// PB3 einschalten
	PORTB |= (1<<PB0);

	return 0;
}

int TestPinOff(void)
{
	// PB3 ausschalten
	PORTB &= ~(1<<PB0);

	return 0;
}


void TestPinToggle(void)
{
	// PB3 toggeln
	PORTB ^= (1<<PB0);
}

#endif
