/**
 * de.lohaltec.laufputer: A heart rate meter for Android
 *  
 * <br>Copyright 2010 Albrecht Lohoefener <albrechtloh@gmx.de>
 * Date: 06.10.2010
 *
 * <p>This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation (see COPYING).
 * 
 * <p>This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package de.lohaltec.laufputer;

import java.util.Queue;
import java.util.Timer;

public class CheckConnection
{
//******************************************************************** //
//Class Data.
//******************************************************************** //

//Input data buffer
private Queue<String> mInputFiFo;

private CheckConnectionTask mCheckConnectionTask = null;

private Timer mtimer = null;

/**
* Constructor
* @param inputFiFo_ Input buffer
*/
public CheckConnection(Queue<String> inputFiFo_)
{
	mInputFiFo = inputFiFo_;
	
	mtimer = new Timer();
	
	mCheckConnectionTask = new CheckConnectionTask(mInputFiFo);
	
	// Start update timer
	mtimer.schedule(mCheckConnectionTask, 0, 20);
}

/**
* Set the MainLaufputerActivity object
* @param mainLaufputerActivityObject MainLaufputerActivity object
*/
public void setMainLaufputerActivityObject(MainLaufputerActivity mainLaufputerActivityObject)
{
	if(mCheckConnectionTask != null)
		mCheckConnectionTask.setMainLaufputerActivityObject(mainLaufputerActivityObject);
}

}

